JSpecView
Date: 2019-10-22

org.jmol.jsv

## Class JSpecView

- java.lang.Object
- - org.jmol.jsv.JSpecView

- All Implemented Interfaces:
    JmolJSpecView

      public class JSpecView
      extends java.lang.Object
      implements JmolJSpecView

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSpecView()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `atomPicked(int atomIndex)`
    `int` | `getBaseModelIndex(int modelIndex)`
    `private java.lang.String` | `getPeakAtomRecord(int atomIndex)`
    `java.lang.String` | `processSync(java.lang.String script, int jsvMode)`
    `private void` | `sendJSpecView(java.lang.String peak)`
    `void` | `setModel(int modelIndex)`
    `void` | `setViewer(Viewer vwr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private Viewer vwr

  - ### Constructor Detail

    - #### JSpecView

          public JSpecView()

  - ### Method Detail

    - #### setViewer

          public void setViewer(Viewer vwr)

      Specified by:
        `setViewer` in interface `JmolJSpecView`

    - #### atomPicked

          public void atomPicked(int atomIndex)

      Specified by:
        `atomPicked` in interface `JmolJSpecView`

    - #### getPeakAtomRecord

          private java.lang.String getPeakAtomRecord(int atomIndex)

    - #### sendJSpecView

          private void sendJSpecView(java.lang.String peak)

    - #### setModel

          public void setModel(int modelIndex)

      Specified by:
        `setModel` in interface `JmolJSpecView`

    - #### getBaseModelIndex

          public int getBaseModelIndex(int modelIndex)

      Specified by:
        `getBaseModelIndex` in interface `JmolJSpecView`

    - #### processSync

          public java.lang.String processSync(java.lang.String script,
                                              int jsvMode)

      Specified by:
        `processSync` in interface `JmolJSpecView`